SOLVED: Cannot Install .NET 3.5 On Windows 10 Error 0x800F0906 and 0x800F081F

If you are running Windows 10 and need to install something old that requires .NET 2 or .NET 3.5 you will likely follow the instructions to install it from PROGRAMS AND FEATURES > TURN WINDOWS FEATURES ON OR OFF > .NET FRAMEWORK (INCLUDES .NET 2.0 and .NET 3.0) but then find you receive  errors like 0x800F0906 and 0x800F081F .  This is frustrating.  Fortunately the solution is simple IF you have a Windows 10 source disk:…

SOLVED: Cannot Install .NET 3.5 On Windows 8.1 Error 0x800F0906 and 0x800F081F

UPDATE: Dec 2016 – While the process below works very well, you can eliminate future .NET install problems by installing FEATURES ON DEMAND on your companies WSUS server. If you are unable to install .NET 3.5 on Windows 8 or 8.1 and end up with errors like 0x800F0906 and 0x800F081F you will find that errors relate to corrupt or limited access to the source files.  In ALL of the times I have tried to get…